@if (editable) {
  <div class="flex-column">
    <nz-select
      [@.disabled]="true"
      class="full-width"
      [nzShowArrow]="false"
      [nzNotFoundContent]="notFoundContent"
      [nzPlaceHolder]="placeholder"
      nzMode="tags"
      [(ngModel)]="model"
      (ngModelChange)="confirm()"
      (nzBlur)="cancel()"
    >
      @for (option of options; track option) {
        <nz-option [nzValue]="option" [nzLabel]="option"></nz-option>
      }
    </nz-select>
    @if (showMandatory) {
      <div class="full-width has-error">
        <span class="sqtm-core-error-message">
          {{ 'sqtm-core.validation.errors.required' | translate }}
        </span>
      </div>
    }
  </div>
} @else {
  @for (tag of value; track tag) {
    <nz-tag>
      {{ tag }}
    </nz-tag>
  }
}
